class Shader2DUV extends format.hxsl.Shader {
  static public var id:String = "2DShaderUV";
  static var SRC = {
    var input : {
      pos:Float3,
      uv:Float2,
    }
    var tuv:Float2;
    function vertex( mpos:M44,
                     mproj:M44,
                     origin:Float4 ) {
      out = origin.xyzw * mpos * mproj + [ pos.x, pos.y, pos.z, 0 ];
      tuv = uv;
    }
    function fragment( tex:Texture ) {
      out = tex.get( tuv );
    }
  }
}
